/****************************************************************************
	Bagotronix, Inc.
	1019 Crossing Brook Way
	Tallahassee, FL 32311

	(C) Copyright 1999 Bagotronix
	All rights reserved

	Filename:  		dscomm.h
	Programmer(s):	Ivan Baggett
	Description:	Sunflower C(tm) library
					DOS Stamp serial communication functions header file
	comments:
****************************************************************************/


#ifndef DSCOMM_ALREADY_INCLUDED
#define DSCOMM_ALREADY_INCLUDED


#include "stdinc.h"
#include "dosstamp.h"

/*	These baud rate divisors are valid only for 40 MHz AM188ES.
	Other clock rates or power save modes will require different divisors.
*/
#define	B110		22727
#define	B300		8333
#define	B600        4166
#define	B1050		2380
#define	B1200		2083
#define	B1800		1388
#define	B2400		1041
#define	B4800		520
#define	B7200		347
#define	B9600		260
#define	B19200		130
#define	B28800		86
#define	B38400		65
#define	B56000		45
#define	B57600		43
#define	B76800		32
#define	B115200		22

#ifdef __cplusplus
	extern "C" {
#endif

void SERsetbaud (UBYTE, UWORD);
BOOLEAN SERrcvrready (UBYTE);
BOOLEAN SERxmtrready (UBYTE);
BOOLEAN SERxmtrdone (UBYTE);
BYTE SERgetc (UBYTE);
BYTE SERputc (UBYTE, BYTE);
UWORD SERstatus (UBYTE);
void SERinit (UBYTE, BOOLEAN, BOOLEAN, BOOLEAN);

#ifdef __cplusplus
	}
#endif

#endif
